Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367032 - Cannot update smart variable name
Summary: Cannot update smart variable name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.2.0
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Shimon Shtein
QA Contact: Oleksandr Shtaier
URL:
Whiteboard:
Depends On:
Blocks: 1412124
TreeView+ depends on / blocked
 
Reported: 2016-08-15 10:49 UTC by Oleksandr Shtaier
Modified: 2019-04-01 20:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1412124 (view as bug list)
Environment:
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16119 None None None 2016-08-16 07:26:19 UTC

Description Oleksandr Shtaier 2016-08-15 10:49:17 UTC
Description of problem:

Before Update:
hammer -v -u admin -p changeme smart-variable info --id="100" 
Id:              100
Name:            YJIQOcdDFQ1
Default Value:   
Type:            string
Puppet class:    ntp
Description:     
Hidden Value?:   false
Validator:       
    Type: 
    Rule:
Override values: 
    Merge overrides:     no
    Merge default value: no
    Avoid duplicates:    no
    Order:               fqdn, hostgroup, os, domain
    Values:
Created at:      2016/08/15 10:36:30
Updated at:      2016/08/15 10:42:18

Updating entity:
hammer -v -u admin -p changeme --output=csv smart-variable update --id="100" --new-name="XO4txkfDEUD" --puppet-class="ntp"
Message,Id
Smart variable [YJIQOcdDFQ1] updated,100

Nothing happened and entity has old name:
hammer -v -u admin -p changeme smart-variable info --id="100" 
Id:              100
Name:            YJIQOcdDFQ1
Default Value:   
Type:            string
Puppet class:    ntp
Description:     
Hidden Value?:   false
Validator:       
    Type: 
    Rule:
Override values: 
    Merge overrides:     no
    Merge default value: no
    Avoid duplicates:    no
    Order:               fqdn, hostgroup, os, domain
    Values:
Created at:      2016/08/15 10:36:30
Updated at:      2016/08/15 10:42:36



Version-Release number of selected component (if applicable):
Satellite 6.2.0-6.2.1 SNAP1.2

How reproducible:
Always

Steps to Reproduce:
1. Create smart variable for any puppet class
2. Try to update it with new value for its name
3.

Actual results:
Entity is not updated

Expected results:
Entity updated properly

Additional info:

Comment 2 Ivan Necas 2016-08-16 07:26:17 UTC
Created redmine issue http://projects.theforeman.org/issues/16119 from this bug

Comment 4 Bryan Kearney 2016-08-16 08:16:57 UTC
Upstream bug component is Hammer

Comment 6 Shimon Shtein 2016-08-16 11:01:20 UTC
As a temporary workaround, it's possible to use --variable parameter in hammer instead of --new-name. We are investigating further how can we fix it.

Comment 7 Oleksandr Shtaier 2016-08-16 11:34:29 UTC
--variable is a more reference to create procedure and anyway such option does not present in help, so no chances that someone find out that

Comment 9 Bryan Kearney 2016-08-17 08:17:01 UTC
Upstream bug assigned to sshtein@redhat.com

Comment 10 Bryan Kearney 2016-08-17 08:17:04 UTC
Upstream bug assigned to sshtein@redhat.com

Comment 11 Bryan Kearney 2016-08-18 14:17:59 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/16119 has been closed

Comment 12 Oleksandr Shtaier 2017-01-11 10:15:20 UTC
Verified on latest SNAP of 6.3. Gonna create separate issue for 6.2.z

For 6.3:

hammer -v -u admin -p changeme --output=csv smart-variable create --variable="czE8Mg5Ym8" --puppet-class="cli_test_variables"
Message,Id
Smart variable [czE8Mg5Ym8] created,21
hammer -v -u admin -p changeme --output=json smart-variable info --id="21"

{
  "Id": 21,
  "Variable": "czE8Mg5Ym8",
  "Default Value": null,
  "Type": "string",
  "Puppet class": "cli_test_variables",
  "Description": null,
  "Hidden Value?": false,
  "Validator": {
    "Type": null,
    "Rule": null
  },
...
}

hammer -v -u admin -p changeme --output=csv smart-variable update --puppet-class="cli_test_variables" --id="21" --new-variable="c3BisQxlnJViCX4"
Message,Id
Smart variable [c3BisQxlnJViCX4] updated,21


hammer -v -u admin -p changeme --output=json smart-variable info --id="21"
{
  "Id": 21,
  "Variable": "c3BisQxlnJViCX4",
  "Default Value": null,
  "Type": "string",
  "Puppet class": "cli_test_variables",
  "Description": null,
  "Hidden Value?": false,
  "Validator": {
    "Type": null,
    "Rule": null
  },
...
  "Created at": "2017-01-11 09:55:24 UTC",
  "Updated at": "2017-01-11 09:55:31 UTC"
}

Comment 13 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.